Package org.eclipse.lemminx.extensions.generators

## Enum AttributeDeclaration.DataType

- java.lang.Object
- - java.lang.Enum<AttributeDeclaration.DataType>
  - - org.eclipse.lemminx.extensions.generators.AttributeDeclaration.DataType

All Implemented Interfaces:
  `Serializable`, `Comparable<AttributeDeclaration.DataType>`

Enclosing class:
  AttributeDeclaration

    public static enum AttributeDeclaration.DataType
    extends Enum<AttributeDeclaration.DataType>

### Enum Constant Summary

Enum Constants
`BOOLEAN`
`DATE`
`DATE_TIME`
`DECIMAL`
`INTEGER`
`UNKNOWN`

### Method Summary

All Methods Static Methods Concrete Methods
`static AttributeDeclaration.DataType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static AttributeDeclaration.DataType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNKNOWN

    public static final AttributeDeclaration.DataType UNKNOWN

#### DATE

    public static final AttributeDeclaration.DataType DATE

#### DATE_TIME

    public static final AttributeDeclaration.DataType DATE_TIME

#### DECIMAL

    public static final AttributeDeclaration.DataType DECIMAL

#### BOOLEAN

    public static final AttributeDeclaration.DataType BOOLEAN

#### INTEGER

    public static final AttributeDeclaration.DataType INTEGER

### Method Detail

#### values

    public static AttributeDeclaration.DataType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AttributeDeclaration.DataType c : AttributeDeclaration.DataType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AttributeDeclaration.DataType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null